<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ID = intval($_GET['id']);
if (isset($user) && isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id` = '".intval($_GET['id'])."' AND `vstup` = '1'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_comm` = '".intval($ID)."' AND `id_user` = '$user[id]'"),0)!=0){	
$comm = get_comm($ID);
$set['title']='Приглашение в сообщество '.text($comm['name']).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
//======================Начало приватности сообщества===============================//
	if(isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]' && (`time_ban` > '$time' OR `navsegda` = '1')"),0)!=0){
	echo'<div class="mess">Вы были забанены ';
	$banned = mysql_fetch_array(mysql_query("SELECT * FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]'"));
	$bancon = mysql_fetch_array(mysql_query("SELECT * FROM `comm_user` WHERE `id_user` = '$banned[id_ban]' AND `id_comm` = '$comm[id]'"));
	if($bancon['level']==1){
		echo 'модератором ';
	}elseif($bancon['level']==2){
		echo 'администратором ';
	}elseif($bancon['level']==3){
		echo 'создателем ';
	}
	echo group($bancon['id_user']);
	echo user::nick($bancon['id_user'],1,1,1);
	if($banned['navsegda']==1){
		echo' навсегда!';
	}else{
		$timefe = $banned['time_ban']-$banned['time'];
		echo ' на ';
		if($timefe>3600){
			$timef = $timefe/3600;
			$timefe = floor($timef);
			
			$timem = $timef-$timefe;
			if($timem==0){
			echo''.$timefe.' часов!';
			}else{
				$timem = round($timem*60);
				echo''.$timefe.' часов '.$timem.' минут!';
			}
		}elseif($timefe<3600){
			$timef = $timefe/60;
			$timefe = round($timef);
			echo''.$timefe.' минут!';
		}
		echo ' <small>';
		echo vremja($banned['time']);
		echo '</small>';
	}
		echo "</div><div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/cat.php?id=$comm[id_category]'>Назад в категорию</a></div>"; 
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//===========================================//
	if($comm['close']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_comm` = '".intval($comm['id'])."' AND `id_user` = '$user[id]'"),0)==0){
		echo'<div class="mess">Сообщество закрыто для чтения!</div>';
		echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>В сообщество</a></div>";
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//================Конец приватности сообщества=====================//
if(isset($_GET['invite']) && isset($_POST['inv'])){
		$nick = my_esc($_POST['nick']);
		if($nick==NULL)$err[] = "Введите ник";
		if (strlen2($nick)>110){ $err[] = "Ник содержит более 110 символов"; }
		if (strlen2($nick)<1){ $err[] = "Ник содержит менее 1 символов"; }
		if($nick=='Система')$err[] = "Нельзя приглашать систему";
		if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".my_esc($nick)."'"),0)==1){
			$invite = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `nick` = '".my_esc($nick)."'"));
			if($invite['id']==$user['id']){
				$err[] = "Нельзя приглашать себя";
			}
			if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_user` = '".intval($invite['id'])."' AND `id_comm` = '$comm[id]'"),0)!=0){
				$err[] = "Пользователь уже участвует в сообществе";
			}
			if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_blacklist` WHERE `id_user` = '".intval($invite['id'])."' AND `id_comm` = '$comm[id]' && (`time_ban` > '$time' OR `navsegda` = '1')"),0)!=0){
				$err[] = "Пользователь забанен в этом сообществе!";
			}
			if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_invite` WHERE `id_user` = '".intval($invite['id'])."' AND `id_comm` = '$comm[id]'"),0)!=0){
				$err[] = "Пользователь уже приглашен в сообщество ранее";
			}
			
		}else{
			$err[] = "Пользователь не найден";
		}
		err();
		if(!isset($err)){
			//==============================//
			mysql_query("INSERT INTO `comm_invite` (`id_user`, `id_comm`, `id_kont`) values('$invite[id]', '$comm[id]', '$user[id]')");
			$message = 'Пользователь [u='.$user['id'].']'.$user['nick'].'[/u] приглашает вас в сообщество [b][url=/comm/'.$comm['id'].'/]'.$comm['name'].'[/url][/b]!';
			mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$invite[id]', '$message','$time')");
		$_SESSION['message'] = 'Пользователю '.$invite['nick'].' успешно отправлено приглашение для вступления в сообщество!';
		header("Location: ?");
		}
		
		
}
echo "<form method=\"post\" name='create_comm' action=\"?invite\">";
echo "Ник друга:<br />\n";
echo "<input name=\"nick\" type=\"text\" maxlength='110' value='' /><br />\n";
echo "<input name=\"inv\" value=\"Отправить\" type=\"submit\" /><br />\n";
echo "</form>\n";
echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>В сообщество</a></div>";
}else{
	header("Location: /");
}
include_once '../sys/inc/tfoot.php';
?>